<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="#FFFFFFFF"
    android:orientation="vertical" >

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/yjf_top_menu_bg" >

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="易极付（微即付）支付"
            android:textColor="#FFFFFFFF"
            android:textSize="18sp" >
        </TextView>
    </RelativeLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginRight="10dip"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="10dp"
                android:focusable="true"
                android:focusableInTouchMode="true" >
            </LinearLayout>

            <LinearLayout
        		android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="Partner ID" />

                <EditText
                    android:id="@+id/textPartnerId"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:text="" >
                </EditText>
            </LinearLayout>

            <LinearLayout
android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="Seller ID" />

                <EditText
                    android:id="@+id/textSellerId"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:text="" />
            </LinearLayout>

<!--             <LinearLayout -->
<!--                 android:layout_width="match_parent" -->
<!--                 android:layout_height="wrap_content" > -->

<!--                 <TextView -->
<!--                     android:id="@+id/labelSellerAccount" -->
<!--                     style="@style/test_edit_text" -->
<!--                     android:layout_width="wrap_content" -->
<!--                     android:layout_height="match_parent" -->
<!--                     android:gravity="center_vertical" -->
<!--                     android:minWidth="@dimen/min_label_width" -->
<!--                     android:text="Seller\nAccount" /> -->

<!--                 <EditText -->
<!--                     android:id="@+id/textSellerAccount" -->
<!--                     android:layout_width="match_parent" -->
<!--                     android:layout_height="wrap_content" -->
<!--                     android:inputType="number" -->
<!--                     android:text="" /> -->
<!--             </LinearLayout> -->

            <LinearLayout
    android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="Order ID " />

                <EditText
                    android:id="@+id/textOrderNo"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:text="" />
            </LinearLayout>

            <LinearLayout
 android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="User ID" />

                <EditText
                    android:id="@+id/textUserId"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:text="" />
            </LinearLayout>

            <LinearLayout
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="Notify URL" />

                <EditText
                    android:id="@+id/textNotifyUrl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="visible" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="充值金额:" />

                <EditText
                    android:id="@+id/textPrice"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="phone"
                    android:text="0.01" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="@dimen/min_label_width"
                    android:text="tradeName" />

                <EditText
                    android:id="@+id/tradeName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="shouji" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    style="@style/test_edit_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:minWidth="@dimen/min_label_width"
                    android:text="支付模式" />

                <Spinner
                    android:id="@+id/spinnerMode"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >

                    <TextView
                        style="@style/test_edit_text"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:minWidth="@dimen/min_label_width"
                        android:text="商品名称" />

                    <EditText
                        android:id="@+id/textProductName"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="测试商品" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >

                    <TextView
                        style="@style/test_edit_text"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:minWidth="@dimen/min_label_width"
                        android:text="商品描述" />

                    <EditText
                        android:id="@+id/textProductDesc"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="Android手机" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >

                    <TextView
                        style="@style/test_edit_text"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:minWidth="@dimen/min_label_width"
                        android:text="总价（元）" />

                    <EditText
                        android:id="@+id/textPrice"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:inputType="number"
                        android:text="168" />
                </LinearLayout>
            </LinearLayout>

            <Button
                android:id="@+id/btnGetOrderId"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="生成测试订单号" />

            <Button
                android:id="@+id/btnPay"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="正常支付" />

            <Button
                android:id="@+id/btnTrustPay"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="信任支付(信任账号模式)" />
        </LinearLayout>
    </ScrollView>

</LinearLayout>